HADOOP software and requires an older version of python

Solution Verified - Updated -

Issue

  • I need to downgrade my release of python
  • When attempting downgrading python I fail with dependency errors
  • yum downgrade fails with the below error:
   ...
    --> Processing Dependency: python-libs(x86-64) = 2.6.6-51.el6 for package: python-2.6.6-51.el6.x86_64
     ---> Package python.x86_64 0:2.6.6-66.el6_8 will be erased
     --> Finished Dependency Resolution
     Error: Package: python-2.6.6-51.el6.x86_64 (rhel-6-server-eus-rpms)
           Requires: python-libs(x86-64) = 2.6.6-51.el6
           Installed: python-libs-2.6.6-66.el6_8.x86_64 (@rhel-x86_64-server-6)
               python-libs(x86-64) = 2.6.6-66.el6_8
           Available: python-libs-2.6.5-3.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.5-3.el6
           Available: python-libs-2.6.5-3.el6_0.2.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.5-3.el6_0.2
           Available: python-libs-2.6.6-20.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-20.el6
           Available: python-libs-2.6.6-29.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-29.el6
           Available: python-libs-2.6.6-29.el6_2.2.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-29.el6_2.2
           Available: python-libs-2.6.6-29.el6_3.3.x86_64 (rhel-6-server-eus-rpms)
Error: Package: python-2.6.6-51.el6.x86_64 (rhel-6-server-eus-rpms)
           Requires: python-libs(x86-64) = 2.6.6-51.el6
           Installed: python-libs-2.6.6-66.el6_8.x86_64 (@rhel-x86_64-server-6)
               python-libs(x86-64) = 2.6.6-66.el6_8
           Available: python-libs-2.6.5-3.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.5-3.el6
           Available: python-libs-2.6.5-3.el6_0.2.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.5-3.el6_0.2
           Available: python-libs-2.6.6-20.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-20.el6
           Available: python-libs-2.6.6-29.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-29.el6
           Available: python-libs-2.6.6-29.el6_2.2.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-29.el6_2.2
           Available: python-libs-2.6.6-29.el6_3.3.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-29.el6_3.3
           Available: python-libs-2.6.6-36.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-36.el6
           Available: python-libs-2.6.6-37.el6_4.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-37.el6_4
           Available: python-libs-2.6.6-51.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-51.el6
           Available: python-libs-2.6.6-52.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-52.el6
           Available: python-libs-2.6.6-64.el6.x86_64 (rhel-6-server-eus-rpms)
               python-libs(x86-64) = 2.6.6-64.el6
   ...

Environment

  • Red Hat Enterprise Linux (RHEL)
    • 4
    • 5
    • 6
    • 7
  • Python

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In